httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jerenkra...@apache.org
Subject svn commit: r424682 - in /httpd/mod_mbox/trunk/scripts: create-archive-list create-msgid create-msgid-all update-index
Date Sun, 23 Jul 2006 06:05:30 GMT
Author: jerenkrantz
Date: Sat Jul 22 23:05:30 2006
New Revision: 424682

URL: http://svn.apache.org/viewvc?rev=424682&view=rev
Log:
Do the Message-ID processing again, sync with some changes that joes2 made
locally, and do a script that just creates the msgid caches.

Added:
    httpd/mod_mbox/trunk/scripts/create-msgid   (with props)
    httpd/mod_mbox/trunk/scripts/create-msgid-all   (with props)
Modified:
    httpd/mod_mbox/trunk/scripts/create-archive-list
    httpd/mod_mbox/trunk/scripts/update-index

Modified: httpd/mod_mbox/trunk/scripts/create-archive-list
URL: http://svn.apache.org/viewvc/httpd/mod_mbox/trunk/scripts/create-archive-list?rev=424682&r1=424681&r2=424682&view=diff
==============================================================================
--- httpd/mod_mbox/trunk/scripts/create-archive-list (original)
+++ httpd/mod_mbox/trunk/scripts/create-archive-list Sat Jul 22 23:05:30 2006
@@ -17,13 +17,16 @@
   if [ ! -d $i ] ; then
     continue;
   fi
+  if [[ $i == "$prefix/apachecon.com" ]]; then
+    continue;
+  fi
   for j in $i/*/ ; do
     loc=`echo $j | sed "s#$prefix/##g"`
     first=`echo $loc | cut -f 1 -d / - | cut -f 1 -d - - | sed -e s/.apache.org//g`
     second=`echo $loc | cut -f 2 -d / -`
     dirname="$first-$second"
     entry_name=`echo $dirname | sed "s#-#_#g"`
-    entry="$entry_name=($dirname private www.apache.org::public-arch/$loc $j)"
+    entry="$entry_name=($dirname private minotaur.apache.org::public-arch/$loc $j)"
     lists=($lists $entry_name)
     entries=($entries $entry)
   done

Added: httpd/mod_mbox/trunk/scripts/create-msgid
URL: http://svn.apache.org/viewvc/httpd/mod_mbox/trunk/scripts/create-msgid?rev=424682&view=auto
==============================================================================
--- httpd/mod_mbox/trunk/scripts/create-msgid (added)
+++ httpd/mod_mbox/trunk/scripts/create-msgid Sat Jul 22 23:05:30 2006
@@ -0,0 +1,34 @@
+#!/bin/zsh
+# ZSH 4+ script to retrieve archives in a variety of mechanisms
+# This should only be used to fetch brand new archives into an empty
+# directory!  You have been warned!
+ARCHIVES_PATH=$HOME/archives/mbox-archives.conf
+
+if [ $# -ge 2 ]; then
+  ARCHIVES_PATH="$2"
+fi
+
+if [ ! -f $ARCHIVES_PATH ] ; then
+  echo $ARCHIVES_PATH not found.  Exiting.
+  exit 1
+fi
+
+source $ARCHIVES_PATH
+
+for i in ${ARCHIVES} ; do
+    dirname=${${(P)i}[1]}
+    mboxtype=${${(P)i}[2]}
+    mboxpath=${${(P)i}[3]}
+    mboxdest=${${(P)i}[4]}
+
+    if [ "$dirname" = "$1" ]; then
+        echo Creating $dirname Message-ID cache
+
+        pushd $MBOX_DIR/$dirname
+        for i in *.mbox; do
+          echo $i
+          $APACHE_DIR/bin/mod-mbox-util -m $i > $i.msgid
+        done
+        popd
+    fi
+done

Propchange: httpd/mod_mbox/trunk/scripts/create-msgid
------------------------------------------------------------------------------
    svn:executable = *

Added: httpd/mod_mbox/trunk/scripts/create-msgid-all
URL: http://svn.apache.org/viewvc/httpd/mod_mbox/trunk/scripts/create-msgid-all?rev=424682&view=auto
==============================================================================
--- httpd/mod_mbox/trunk/scripts/create-msgid-all (added)
+++ httpd/mod_mbox/trunk/scripts/create-msgid-all Sat Jul 22 23:05:30 2006
@@ -0,0 +1,20 @@
+#!/bin/zsh
+# ZSH 4+ script to retrieve archives in a variety of mechanisms
+# This should only be used to fetch brand new archives into an empty
+# directory!  You have been warned!
+ARCHIVES_PATH=$HOME/archives/mbox-archives.conf
+
+if [ $# -ge 1 ]; then
+  ARCHIVES_PATH="$1"
+fi
+
+if [ ! -f $ARCHIVES_PATH ] ; then
+  echo $ARCHIVES_PATH not found.  Exiting.
+  exit 1
+fi
+
+source $ARCHIVES_PATH
+
+for i in ${ARCHIVES} ; do
+    $SCRIPT_DIR/create-msgid ${${(P)i}[1]} $ARCHIVES_PATH
+done

Propchange: httpd/mod_mbox/trunk/scripts/create-msgid-all
------------------------------------------------------------------------------
    svn:executable = *

Modified: httpd/mod_mbox/trunk/scripts/update-index
URL: http://svn.apache.org/viewvc/httpd/mod_mbox/trunk/scripts/update-index?rev=424682&r1=424681&r2=424682&view=diff
==============================================================================
--- httpd/mod_mbox/trunk/scripts/update-index (original)
+++ httpd/mod_mbox/trunk/scripts/update-index Sat Jul 22 23:05:30 2006
@@ -66,7 +66,10 @@
     fi
 
     if [ -x $APACHE_DIR/bin/mod-mbox-util ]; then
+      # XXX joes added these touches on 2006-06-02 to force a reindex
+      touch $mboxfile; touch $mboxfile2
       $APACHE_DIR/bin/mod-mbox-util -u $MBOX_DIR/$dirname 2> /dev/null
+      $APACHE_DIR/bin/mod-mbox-util -m $mboxfile > $mboxfile.msgid
     else
       if [ -f $mboxfile ]; then
         $APACHE_DIR/bin/generate_index $mboxfile



Mime
View raw message